import typing_extensions

from ispyb_client.paths import PathValues
from ispyb_client.apis.paths.ispyb_api_v1_auth_config import IspybApiV1AuthConfig
from ispyb_client.apis.paths.ispyb_api_v1_auth_login import IspybApiV1AuthLogin
from ispyb_client.apis.paths.ispyb_api_v1_options_ui import IspybApiV1OptionsUi
from ispyb_client.apis.paths.ispyb_api_v1_options import IspybApiV1Options
from ispyb_client.apis.paths.ispyb_api_v1_eventchain import IspybApiV1Eventchain
from ispyb_client.apis.paths.ispyb_api_v1_proteins import IspybApiV1Proteins
from ispyb_client.apis.paths.ispyb_api_v1_proteins_protein_id import IspybApiV1ProteinsProteinId
from ispyb_client.apis.paths.ispyb_api_v1_ssx_datacollection_processing_stats import IspybApiV1SsxDatacollectionProcessingStats
from ispyb_client.apis.paths.ispyb_api_v1_ssx_datacollection_processing_cells import IspybApiV1SsxDatacollectionProcessingCells
from ispyb_client.apis.paths.ispyb_api_v1_ssx_datacollection_processing_cells_histogram import IspybApiV1SsxDatacollectionProcessingCellsHistogram
from ispyb_client.apis.paths.ispyb_api_v1_datacollections_images_diffraction_data_collection_id import IspybApiV1DatacollectionsImagesDiffractionDataCollectionId
from ispyb_client.apis.paths.ispyb_api_v1_datacollections_images_quality_data_collection_id import IspybApiV1DatacollectionsImagesQualityDataCollectionId
from ispyb_client.apis.paths.ispyb_api_v1_datacollections_images_data_collection_id import IspybApiV1DatacollectionsImagesDataCollectionId
from ispyb_client.apis.paths.ispyb_api_v1_datacollections_attachments import IspybApiV1DatacollectionsAttachments
from ispyb_client.apis.paths.ispyb_api_v1_datacollections_attachments_data_collection_file_attachment_id import IspybApiV1DatacollectionsAttachmentsDataCollectionFileAttachmentId
from ispyb_client.apis.paths.ispyb_api_v1_datacollections_quality import IspybApiV1DatacollectionsQuality
from ispyb_client.apis.paths.ispyb_api_v1_datacollections_workflows_steps import IspybApiV1DatacollectionsWorkflowsSteps
from ispyb_client.apis.paths.ispyb_api_v1_datacollections_workflows_steps_workflow_step_id import IspybApiV1DatacollectionsWorkflowsStepsWorkflowStepId
from ispyb_client.apis.paths.ispyb_api_v1_user_current import IspybApiV1UserCurrent
from ispyb_client.apis.paths.ispyb_api_v1_proposals import IspybApiV1Proposals
from ispyb_client.apis.paths.ispyb_api_v1_proposals_proposal import IspybApiV1ProposalsProposal
from ispyb_client.apis.paths.ispyb_api_v1_sessions import IspybApiV1Sessions
from ispyb_client.apis.paths.ispyb_api_v1_sessions_group import IspybApiV1SessionsGroup
from ispyb_client.apis.paths.ispyb_api_v1_sessions_session_id import IspybApiV1SessionsSessionId
from ispyb_client.apis.paths.ispyb_api_v1_labcontacts import IspybApiV1Labcontacts
from ispyb_client.apis.paths.ispyb_api_v1_labcontacts_lab_contact_id import IspybApiV1LabcontactsLabContactId
from ispyb_client.apis.paths.ispyb_api_v1_samples_sub import IspybApiV1SamplesSub
from ispyb_client.apis.paths.ispyb_api_v1_samples_sub_bl_sub_sample_id import IspybApiV1SamplesSubBlSubSampleId
from ispyb_client.apis.paths.ispyb_api_v1_samples_images import IspybApiV1SamplesImages
from ispyb_client.apis.paths.ispyb_api_v1_samples_images_bl_sample_image_id import IspybApiV1SamplesImagesBlSampleImageId
from ispyb_client.apis.paths.ispyb_api_v1_samples import IspybApiV1Samples
from ispyb_client.apis.paths.ispyb_api_v1_samples_bl_sample_id import IspybApiV1SamplesBlSampleId
from ispyb_client.apis.paths.ispyb_api_v1_events import IspybApiV1Events
from ispyb_client.apis.paths.ispyb_api_v1_events_types import IspybApiV1EventsTypes
from ispyb_client.apis.paths.ispyb_api_v1_session_session_id import IspybApiV1SessionSessionId
from ispyb_client.apis.paths.ispyb_api_v1_legacy_data_collections_groups_session_session_id import IspybApiV1LegacyDataCollectionsGroupsSessionSessionId
from ispyb_client.apis.paths.ispyb_api_v1_legacy_proposals import IspybApiV1LegacyProposals
from ispyb_client.apis.paths.ispyb_api_v1_legacy_proposals_proposal_id import IspybApiV1LegacyProposalsProposalId
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_session_session_id_list import IspybApiV1LegacyTokenProposalSessionSessionIdList
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_list import IspybApiV1LegacyTokenProposalList
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_info_get import IspybApiV1LegacyTokenProposalProposalIdInfoGet
from ispyb_client.apis.paths.ispyb_api_v1_legacy_sessions import IspybApiV1LegacySessions
from ispyb_client.apis.paths.ispyb_api_v1_legacy_sessions_date_start_date_end_date import IspybApiV1LegacySessionsDateStartDateEndDate
from ispyb_client.apis.paths.ispyb_api_v1_legacy_sessions_proposal_proposal_id import IspybApiV1LegacySessionsProposalProposalId
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_proposal_proposal_id_datacollection_datacollection_id_movies import IspybApiV1LegacyEmProposalProposalIdDatacollectionDatacollectionIdMovies
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_proposal_proposal_id_movie_movie_id_thumbnail import IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnail
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_proposal_proposal_id_movie_movie_id_thumbnail_motioncorrection import IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnailMotioncorrection
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_proposal_proposal_id_movie_movie_id_thumbnail_ctf import IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnailCtf
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_proposal_proposal_id_movie_movie_id_plot_motioncorrectiondrift import IspybApiV1LegacyEmProposalProposalIdMovieMovieIdPlotMotioncorrectiondrift
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_session_session_id_stats import IspybApiV1LegacyEmSessionSessionIdStats
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_proposal_proposal_id_data_collections_data_collections_ids_stats import IspybApiV1LegacyEmProposalProposalIdDataCollectionsDataCollectionsIdsStats
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_proposal_proposal_id_data_collections_group_data_collections_group_id_stats import IspybApiV1LegacyEmProposalProposalIdDataCollectionsGroupDataCollectionsGroupIdStats
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_proposal_proposal_id_session_session_id_data_collections_groups import IspybApiV1LegacyEmProposalProposalIdSessionSessionIdDataCollectionsGroups
from ispyb_client.apis.paths.ispyb_api_v1_legacy_em_session_session_id_classification import IspybApiV1LegacyEmSessionSessionIdClassification
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_session_list import IspybApiV1LegacyTokenSessionList
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_session_date_start_date_end_date_list import IspybApiV1LegacyTokenProposalSessionDateStartDateEndDateList
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_session_list import IspybApiV1LegacyTokenProposalProposalIdSessionList
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_em_datacollection_datacollection_id_movie_all import IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieAll
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_em_datacollection_datacollection_id_movie_movie_id_thumbnail import IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdThumbnail
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_em_datacollection_datacollection_id_movie_movie_id_motioncorrection_thumbnail import IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdMotioncorrectionThumbnail
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_em_datacollection_datacollection_id_movie_movie_id_ctf_thumbnail import IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdCtfThumbnail
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_em_datacollection_datacollection_id_movie_movie_id_motioncorrection_drift import IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdMotioncorrectionDrift
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_em_session_session_id_stats import IspybApiV1LegacyTokenProposalProposalEmSessionSessionIdStats
from ispyb_client.apis.paths.ispyb_api_v1_legacy_proposal_proposal_id_data_collections_data_collections_ids_stats import IspybApiV1LegacyProposalProposalIdDataCollectionsDataCollectionsIdsStats
from ispyb_client.apis.paths.ispyb_api_v1_legacy_proposal_proposal_id_data_collections_group_data_collections_group_id_stats import IspybApiV1LegacyProposalProposalIdDataCollectionsGroupDataCollectionsGroupIdStats
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_em_datacollection_session_session_id_list import IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionSessionSessionIdList
from ispyb_client.apis.paths.ispyb_api_v1_legacy_token_proposal_proposal_id_em_session_session_id_classification import IspybApiV1LegacyTokenProposalProposalIdEmSessionSessionIdClassification
from ispyb_client.apis.paths.ispyb_api_v1_admin_activity import IspybApiV1AdminActivity
from ispyb_client.apis.paths.ispyb_api_v1_webservices_userportalsync_sync_proposal import IspybApiV1WebservicesUserportalsyncSyncProposal
from ispyb_client.apis.paths.ispyb_api_v1_webservices_ssx_datacollection import IspybApiV1WebservicesSsxDatacollection
from ispyb_client.apis.paths.ispyb_api_v1_webservices_ssx_datacollectiongroup import IspybApiV1WebservicesSsxDatacollectiongroup
from ispyb_client.apis.paths.ispyb_api_v1_webservices_ssx_datacollection_data_collection_id_processing import IspybApiV1WebservicesSsxDatacollectionDataCollectionIdProcessing

PathToApi = typing_extensions.TypedDict(
    'PathToApi',
    {
        PathValues.ISPYB_API_V1_AUTH_CONFIG: IspybApiV1AuthConfig,
        PathValues.ISPYB_API_V1_AUTH_LOGIN: IspybApiV1AuthLogin,
        PathValues.ISPYB_API_V1_OPTIONS_UI: IspybApiV1OptionsUi,
        PathValues.ISPYB_API_V1_OPTIONS: IspybApiV1Options,
        PathValues.ISPYB_API_V1_EVENTCHAIN: IspybApiV1Eventchain,
        PathValues.ISPYB_API_V1_PROTEINS: IspybApiV1Proteins,
        PathValues.ISPYB_API_V1_PROTEINS_PROTEIN_ID: IspybApiV1ProteinsProteinId,
        PathValues.ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_STATS: IspybApiV1SsxDatacollectionProcessingStats,
        PathValues.ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_CELLS: IspybApiV1SsxDatacollectionProcessingCells,
        PathValues.ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_CELLS_HISTOGRAM: IspybApiV1SsxDatacollectionProcessingCellsHistogram,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_IMAGES_DIFFRACTION_DATA_COLLECTION_ID: IspybApiV1DatacollectionsImagesDiffractionDataCollectionId,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_IMAGES_QUALITY_DATA_COLLECTION_ID: IspybApiV1DatacollectionsImagesQualityDataCollectionId,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_IMAGES_DATA_COLLECTION_ID: IspybApiV1DatacollectionsImagesDataCollectionId,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_ATTACHMENTS: IspybApiV1DatacollectionsAttachments,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_ATTACHMENTS_DATA_COLLECTION_FILE_ATTACHMENT_ID: IspybApiV1DatacollectionsAttachmentsDataCollectionFileAttachmentId,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_QUALITY: IspybApiV1DatacollectionsQuality,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_WORKFLOWS_STEPS: IspybApiV1DatacollectionsWorkflowsSteps,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_WORKFLOWS_STEPS_WORKFLOW_STEP_ID: IspybApiV1DatacollectionsWorkflowsStepsWorkflowStepId,
        PathValues.ISPYB_API_V1_USER_CURRENT: IspybApiV1UserCurrent,
        PathValues.ISPYB_API_V1_PROPOSALS: IspybApiV1Proposals,
        PathValues.ISPYB_API_V1_PROPOSALS_PROPOSAL: IspybApiV1ProposalsProposal,
        PathValues.ISPYB_API_V1_SESSIONS: IspybApiV1Sessions,
        PathValues.ISPYB_API_V1_SESSIONS_GROUP: IspybApiV1SessionsGroup,
        PathValues.ISPYB_API_V1_SESSIONS_SESSION_ID: IspybApiV1SessionsSessionId,
        PathValues.ISPYB_API_V1_LABCONTACTS: IspybApiV1Labcontacts,
        PathValues.ISPYB_API_V1_LABCONTACTS_LAB_CONTACT_ID: IspybApiV1LabcontactsLabContactId,
        PathValues.ISPYB_API_V1_SAMPLES_SUB: IspybApiV1SamplesSub,
        PathValues.ISPYB_API_V1_SAMPLES_SUB_BL_SUB_SAMPLE_ID: IspybApiV1SamplesSubBlSubSampleId,
        PathValues.ISPYB_API_V1_SAMPLES_IMAGES: IspybApiV1SamplesImages,
        PathValues.ISPYB_API_V1_SAMPLES_IMAGES_BL_SAMPLE_IMAGE_ID: IspybApiV1SamplesImagesBlSampleImageId,
        PathValues.ISPYB_API_V1_SAMPLES: IspybApiV1Samples,
        PathValues.ISPYB_API_V1_SAMPLES_BL_SAMPLE_ID: IspybApiV1SamplesBlSampleId,
        PathValues.ISPYB_API_V1_EVENTS: IspybApiV1Events,
        PathValues.ISPYB_API_V1_EVENTS_TYPES: IspybApiV1EventsTypes,
        PathValues.ISPYB_API_V1_SESSION_SESSION_ID: IspybApiV1SessionSessionId,
        PathValues.ISPYB_API_V1_LEGACY_DATA_COLLECTIONS_GROUPS_SESSION_SESSION_ID: IspybApiV1LegacyDataCollectionsGroupsSessionSessionId,
        PathValues.ISPYB_API_V1_LEGACY_PROPOSALS: IspybApiV1LegacyProposals,
        PathValues.ISPYB_API_V1_LEGACY_PROPOSALS_PROPOSAL_ID: IspybApiV1LegacyProposalsProposalId,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_SESSION_SESSION_ID_LIST: IspybApiV1LegacyTokenProposalSessionSessionIdList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_LIST: IspybApiV1LegacyTokenProposalList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_INFO_GET: IspybApiV1LegacyTokenProposalProposalIdInfoGet,
        PathValues.ISPYB_API_V1_LEGACY_SESSIONS: IspybApiV1LegacySessions,
        PathValues.ISPYB_API_V1_LEGACY_SESSIONS_DATE_START_DATE_END_DATE: IspybApiV1LegacySessionsDateStartDateEndDate,
        PathValues.ISPYB_API_V1_LEGACY_SESSIONS_PROPOSAL_PROPOSAL_ID: IspybApiV1LegacySessionsProposalProposalId,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATACOLLECTION_DATACOLLECTION_ID_MOVIES: IspybApiV1LegacyEmProposalProposalIdDatacollectionDatacollectionIdMovies,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL: IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnail,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL_MOTIONCORRECTION: IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnailMotioncorrection,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL_CTF: IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnailCtf,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_PLOT_MOTIONCORRECTIONDRIFT: IspybApiV1LegacyEmProposalProposalIdMovieMovieIdPlotMotioncorrectiondrift,
        PathValues.ISPYB_API_V1_LEGACY_EM_SESSION_SESSION_ID_STATS: IspybApiV1LegacyEmSessionSessionIdStats,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_DATA_COLLECTIONS_IDS_STATS: IspybApiV1LegacyEmProposalProposalIdDataCollectionsDataCollectionsIdsStats,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_GROUP_DATA_COLLECTIONS_GROUP_ID_STATS: IspybApiV1LegacyEmProposalProposalIdDataCollectionsGroupDataCollectionsGroupIdStats,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_SESSION_SESSION_ID_DATA_COLLECTIONS_GROUPS: IspybApiV1LegacyEmProposalProposalIdSessionSessionIdDataCollectionsGroups,
        PathValues.ISPYB_API_V1_LEGACY_EM_SESSION_SESSION_ID_CLASSIFICATION: IspybApiV1LegacyEmSessionSessionIdClassification,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_SESSION_LIST: IspybApiV1LegacyTokenSessionList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_SESSION_DATE_START_DATE_END_DATE_LIST: IspybApiV1LegacyTokenProposalSessionDateStartDateEndDateList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_SESSION_LIST: IspybApiV1LegacyTokenProposalProposalIdSessionList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_ALL: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieAll,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_THUMBNAIL: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdThumbnail,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_MOTIONCORRECTION_THUMBNAIL: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdMotioncorrectionThumbnail,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_CTF_THUMBNAIL: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdCtfThumbnail,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_MOTIONCORRECTION_DRIFT: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdMotioncorrectionDrift,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_EM_SESSION_SESSION_ID_STATS: IspybApiV1LegacyTokenProposalProposalEmSessionSessionIdStats,
        PathValues.ISPYB_API_V1_LEGACY_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_DATA_COLLECTIONS_IDS_STATS: IspybApiV1LegacyProposalProposalIdDataCollectionsDataCollectionsIdsStats,
        PathValues.ISPYB_API_V1_LEGACY_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_GROUP_DATA_COLLECTIONS_GROUP_ID_STATS: IspybApiV1LegacyProposalProposalIdDataCollectionsGroupDataCollectionsGroupIdStats,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_SESSION_SESSION_ID_LIST: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionSessionSessionIdList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_SESSION_SESSION_ID_CLASSIFICATION: IspybApiV1LegacyTokenProposalProposalIdEmSessionSessionIdClassification,
        PathValues.ISPYB_API_V1_ADMIN_ACTIVITY: IspybApiV1AdminActivity,
        PathValues.ISPYB_API_V1_WEBSERVICES_USERPORTALSYNC_SYNC_PROPOSAL: IspybApiV1WebservicesUserportalsyncSyncProposal,
        PathValues.ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTION: IspybApiV1WebservicesSsxDatacollection,
        PathValues.ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTIONGROUP: IspybApiV1WebservicesSsxDatacollectiongroup,
        PathValues.ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTION_DATA_COLLECTION_ID_PROCESSING: IspybApiV1WebservicesSsxDatacollectionDataCollectionIdProcessing,
    }
)

path_to_api = PathToApi(
    {
        PathValues.ISPYB_API_V1_AUTH_CONFIG: IspybApiV1AuthConfig,
        PathValues.ISPYB_API_V1_AUTH_LOGIN: IspybApiV1AuthLogin,
        PathValues.ISPYB_API_V1_OPTIONS_UI: IspybApiV1OptionsUi,
        PathValues.ISPYB_API_V1_OPTIONS: IspybApiV1Options,
        PathValues.ISPYB_API_V1_EVENTCHAIN: IspybApiV1Eventchain,
        PathValues.ISPYB_API_V1_PROTEINS: IspybApiV1Proteins,
        PathValues.ISPYB_API_V1_PROTEINS_PROTEIN_ID: IspybApiV1ProteinsProteinId,
        PathValues.ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_STATS: IspybApiV1SsxDatacollectionProcessingStats,
        PathValues.ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_CELLS: IspybApiV1SsxDatacollectionProcessingCells,
        PathValues.ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_CELLS_HISTOGRAM: IspybApiV1SsxDatacollectionProcessingCellsHistogram,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_IMAGES_DIFFRACTION_DATA_COLLECTION_ID: IspybApiV1DatacollectionsImagesDiffractionDataCollectionId,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_IMAGES_QUALITY_DATA_COLLECTION_ID: IspybApiV1DatacollectionsImagesQualityDataCollectionId,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_IMAGES_DATA_COLLECTION_ID: IspybApiV1DatacollectionsImagesDataCollectionId,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_ATTACHMENTS: IspybApiV1DatacollectionsAttachments,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_ATTACHMENTS_DATA_COLLECTION_FILE_ATTACHMENT_ID: IspybApiV1DatacollectionsAttachmentsDataCollectionFileAttachmentId,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_QUALITY: IspybApiV1DatacollectionsQuality,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_WORKFLOWS_STEPS: IspybApiV1DatacollectionsWorkflowsSteps,
        PathValues.ISPYB_API_V1_DATACOLLECTIONS_WORKFLOWS_STEPS_WORKFLOW_STEP_ID: IspybApiV1DatacollectionsWorkflowsStepsWorkflowStepId,
        PathValues.ISPYB_API_V1_USER_CURRENT: IspybApiV1UserCurrent,
        PathValues.ISPYB_API_V1_PROPOSALS: IspybApiV1Proposals,
        PathValues.ISPYB_API_V1_PROPOSALS_PROPOSAL: IspybApiV1ProposalsProposal,
        PathValues.ISPYB_API_V1_SESSIONS: IspybApiV1Sessions,
        PathValues.ISPYB_API_V1_SESSIONS_GROUP: IspybApiV1SessionsGroup,
        PathValues.ISPYB_API_V1_SESSIONS_SESSION_ID: IspybApiV1SessionsSessionId,
        PathValues.ISPYB_API_V1_LABCONTACTS: IspybApiV1Labcontacts,
        PathValues.ISPYB_API_V1_LABCONTACTS_LAB_CONTACT_ID: IspybApiV1LabcontactsLabContactId,
        PathValues.ISPYB_API_V1_SAMPLES_SUB: IspybApiV1SamplesSub,
        PathValues.ISPYB_API_V1_SAMPLES_SUB_BL_SUB_SAMPLE_ID: IspybApiV1SamplesSubBlSubSampleId,
        PathValues.ISPYB_API_V1_SAMPLES_IMAGES: IspybApiV1SamplesImages,
        PathValues.ISPYB_API_V1_SAMPLES_IMAGES_BL_SAMPLE_IMAGE_ID: IspybApiV1SamplesImagesBlSampleImageId,
        PathValues.ISPYB_API_V1_SAMPLES: IspybApiV1Samples,
        PathValues.ISPYB_API_V1_SAMPLES_BL_SAMPLE_ID: IspybApiV1SamplesBlSampleId,
        PathValues.ISPYB_API_V1_EVENTS: IspybApiV1Events,
        PathValues.ISPYB_API_V1_EVENTS_TYPES: IspybApiV1EventsTypes,
        PathValues.ISPYB_API_V1_SESSION_SESSION_ID: IspybApiV1SessionSessionId,
        PathValues.ISPYB_API_V1_LEGACY_DATA_COLLECTIONS_GROUPS_SESSION_SESSION_ID: IspybApiV1LegacyDataCollectionsGroupsSessionSessionId,
        PathValues.ISPYB_API_V1_LEGACY_PROPOSALS: IspybApiV1LegacyProposals,
        PathValues.ISPYB_API_V1_LEGACY_PROPOSALS_PROPOSAL_ID: IspybApiV1LegacyProposalsProposalId,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_SESSION_SESSION_ID_LIST: IspybApiV1LegacyTokenProposalSessionSessionIdList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_LIST: IspybApiV1LegacyTokenProposalList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_INFO_GET: IspybApiV1LegacyTokenProposalProposalIdInfoGet,
        PathValues.ISPYB_API_V1_LEGACY_SESSIONS: IspybApiV1LegacySessions,
        PathValues.ISPYB_API_V1_LEGACY_SESSIONS_DATE_START_DATE_END_DATE: IspybApiV1LegacySessionsDateStartDateEndDate,
        PathValues.ISPYB_API_V1_LEGACY_SESSIONS_PROPOSAL_PROPOSAL_ID: IspybApiV1LegacySessionsProposalProposalId,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATACOLLECTION_DATACOLLECTION_ID_MOVIES: IspybApiV1LegacyEmProposalProposalIdDatacollectionDatacollectionIdMovies,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL: IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnail,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL_MOTIONCORRECTION: IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnailMotioncorrection,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL_CTF: IspybApiV1LegacyEmProposalProposalIdMovieMovieIdThumbnailCtf,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_PLOT_MOTIONCORRECTIONDRIFT: IspybApiV1LegacyEmProposalProposalIdMovieMovieIdPlotMotioncorrectiondrift,
        PathValues.ISPYB_API_V1_LEGACY_EM_SESSION_SESSION_ID_STATS: IspybApiV1LegacyEmSessionSessionIdStats,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_DATA_COLLECTIONS_IDS_STATS: IspybApiV1LegacyEmProposalProposalIdDataCollectionsDataCollectionsIdsStats,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_GROUP_DATA_COLLECTIONS_GROUP_ID_STATS: IspybApiV1LegacyEmProposalProposalIdDataCollectionsGroupDataCollectionsGroupIdStats,
        PathValues.ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_SESSION_SESSION_ID_DATA_COLLECTIONS_GROUPS: IspybApiV1LegacyEmProposalProposalIdSessionSessionIdDataCollectionsGroups,
        PathValues.ISPYB_API_V1_LEGACY_EM_SESSION_SESSION_ID_CLASSIFICATION: IspybApiV1LegacyEmSessionSessionIdClassification,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_SESSION_LIST: IspybApiV1LegacyTokenSessionList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_SESSION_DATE_START_DATE_END_DATE_LIST: IspybApiV1LegacyTokenProposalSessionDateStartDateEndDateList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_SESSION_LIST: IspybApiV1LegacyTokenProposalProposalIdSessionList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_ALL: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieAll,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_THUMBNAIL: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdThumbnail,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_MOTIONCORRECTION_THUMBNAIL: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdMotioncorrectionThumbnail,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_CTF_THUMBNAIL: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdCtfThumbnail,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_MOTIONCORRECTION_DRIFT: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionDatacollectionIdMovieMovieIdMotioncorrectionDrift,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_EM_SESSION_SESSION_ID_STATS: IspybApiV1LegacyTokenProposalProposalEmSessionSessionIdStats,
        PathValues.ISPYB_API_V1_LEGACY_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_DATA_COLLECTIONS_IDS_STATS: IspybApiV1LegacyProposalProposalIdDataCollectionsDataCollectionsIdsStats,
        PathValues.ISPYB_API_V1_LEGACY_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_GROUP_DATA_COLLECTIONS_GROUP_ID_STATS: IspybApiV1LegacyProposalProposalIdDataCollectionsGroupDataCollectionsGroupIdStats,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_SESSION_SESSION_ID_LIST: IspybApiV1LegacyTokenProposalProposalIdEmDatacollectionSessionSessionIdList,
        PathValues.ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_SESSION_SESSION_ID_CLASSIFICATION: IspybApiV1LegacyTokenProposalProposalIdEmSessionSessionIdClassification,
        PathValues.ISPYB_API_V1_ADMIN_ACTIVITY: IspybApiV1AdminActivity,
        PathValues.ISPYB_API_V1_WEBSERVICES_USERPORTALSYNC_SYNC_PROPOSAL: IspybApiV1WebservicesUserportalsyncSyncProposal,
        PathValues.ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTION: IspybApiV1WebservicesSsxDatacollection,
        PathValues.ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTIONGROUP: IspybApiV1WebservicesSsxDatacollectiongroup,
        PathValues.ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTION_DATA_COLLECTION_ID_PROCESSING: IspybApiV1WebservicesSsxDatacollectionDataCollectionIdProcessing,
    }
)
