# do not import all endpoints into this module because that uses a lot of memory and stack frames
# if you need the ability to import all endpoints from this module, import them with
# from ispyb_client.apis.path_to_api import path_to_api

import enum


class PathValues(str, enum.Enum):
    ISPYB_API_V1_AUTH_CONFIG = "/ispyb/api/v1/auth/config"
    ISPYB_API_V1_AUTH_LOGIN = "/ispyb/api/v1/auth/login"
    ISPYB_API_V1_OPTIONS_UI = "/ispyb/api/v1/options/ui"
    ISPYB_API_V1_OPTIONS = "/ispyb/api/v1/options"
    ISPYB_API_V1_EVENTCHAIN = "/ispyb/api/v1/eventchain"
    ISPYB_API_V1_PROTEINS = "/ispyb/api/v1/proteins"
    ISPYB_API_V1_PROTEINS_PROTEIN_ID = "/ispyb/api/v1/proteins/{proteinId}"
    ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_STATS = "/ispyb/api/v1/ssx/datacollection/processing/stats"
    ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_CELLS = "/ispyb/api/v1/ssx/datacollection/processing/cells"
    ISPYB_API_V1_SSX_DATACOLLECTION_PROCESSING_CELLS_HISTOGRAM = "/ispyb/api/v1/ssx/datacollection/processing/cells/histogram"
    ISPYB_API_V1_DATACOLLECTIONS_IMAGES_DIFFRACTION_DATA_COLLECTION_ID = "/ispyb/api/v1/datacollections/images/diffraction/{dataCollectionId}"
    ISPYB_API_V1_DATACOLLECTIONS_IMAGES_QUALITY_DATA_COLLECTION_ID = "/ispyb/api/v1/datacollections/images/quality/{dataCollectionId}"
    ISPYB_API_V1_DATACOLLECTIONS_IMAGES_DATA_COLLECTION_ID = "/ispyb/api/v1/datacollections/images/{dataCollectionId}"
    ISPYB_API_V1_DATACOLLECTIONS_ATTACHMENTS = "/ispyb/api/v1/datacollections/attachments"
    ISPYB_API_V1_DATACOLLECTIONS_ATTACHMENTS_DATA_COLLECTION_FILE_ATTACHMENT_ID = "/ispyb/api/v1/datacollections/attachments/{dataCollectionFileAttachmentId}"
    ISPYB_API_V1_DATACOLLECTIONS_QUALITY = "/ispyb/api/v1/datacollections/quality"
    ISPYB_API_V1_DATACOLLECTIONS_WORKFLOWS_STEPS = "/ispyb/api/v1/datacollections/workflows/steps"
    ISPYB_API_V1_DATACOLLECTIONS_WORKFLOWS_STEPS_WORKFLOW_STEP_ID = "/ispyb/api/v1/datacollections/workflows/steps/{workflowStepId}"
    ISPYB_API_V1_USER_CURRENT = "/ispyb/api/v1/user/current"
    ISPYB_API_V1_PROPOSALS = "/ispyb/api/v1/proposals"
    ISPYB_API_V1_PROPOSALS_PROPOSAL = "/ispyb/api/v1/proposals/{proposal}"
    ISPYB_API_V1_SESSIONS = "/ispyb/api/v1/sessions"
    ISPYB_API_V1_SESSIONS_GROUP = "/ispyb/api/v1/sessions/group"
    ISPYB_API_V1_SESSIONS_SESSION_ID = "/ispyb/api/v1/sessions/{sessionId}"
    ISPYB_API_V1_LABCONTACTS = "/ispyb/api/v1/labcontacts"
    ISPYB_API_V1_LABCONTACTS_LAB_CONTACT_ID = "/ispyb/api/v1/labcontacts/{labContactId}"
    ISPYB_API_V1_SAMPLES_SUB = "/ispyb/api/v1/samples/sub"
    ISPYB_API_V1_SAMPLES_SUB_BL_SUB_SAMPLE_ID = "/ispyb/api/v1/samples/sub/{blSubSampleId}"
    ISPYB_API_V1_SAMPLES_IMAGES = "/ispyb/api/v1/samples/images"
    ISPYB_API_V1_SAMPLES_IMAGES_BL_SAMPLE_IMAGE_ID = "/ispyb/api/v1/samples/images/{blSampleImageId}"
    ISPYB_API_V1_SAMPLES = "/ispyb/api/v1/samples"
    ISPYB_API_V1_SAMPLES_BL_SAMPLE_ID = "/ispyb/api/v1/samples/{blSampleId}"
    ISPYB_API_V1_EVENTS = "/ispyb/api/v1/events"
    ISPYB_API_V1_EVENTS_TYPES = "/ispyb/api/v1/events/types"
    ISPYB_API_V1_SESSION_SESSION_ID = "/ispyb/api/v1/session/{sessionId}"
    ISPYB_API_V1_LEGACY_DATA_COLLECTIONS_GROUPS_SESSION_SESSION_ID = "/ispyb/api/v1/legacy/data_collections/groups/session/{session_id}"
    ISPYB_API_V1_LEGACY_PROPOSALS = "/ispyb/api/v1/legacy/proposals"
    ISPYB_API_V1_LEGACY_PROPOSALS_PROPOSAL_ID = "/ispyb/api/v1/legacy/proposals/{proposal_id}"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_SESSION_SESSION_ID_LIST = "/ispyb/api/v1/legacy/{token}/proposal/session/{session_id}/list"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_LIST = "/ispyb/api/v1/legacy/{token}/proposal/list"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_INFO_GET = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/info/get"
    ISPYB_API_V1_LEGACY_SESSIONS = "/ispyb/api/v1/legacy/sessions"
    ISPYB_API_V1_LEGACY_SESSIONS_DATE_START_DATE_END_DATE = "/ispyb/api/v1/legacy/sessions/date/{start_date}/{end_date}"
    ISPYB_API_V1_LEGACY_SESSIONS_PROPOSAL_PROPOSAL_ID = "/ispyb/api/v1/legacy/sessions/proposal/{proposal_id}"
    ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATACOLLECTION_DATACOLLECTION_ID_MOVIES = "/ispyb/api/v1/legacy/em/proposal/{proposal_id}/datacollection/{datacollection_id}/movies"
    ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL = "/ispyb/api/v1/legacy/em/proposal/{proposal_id}/movie/{movie_id}/thumbnail"
    ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL_MOTIONCORRECTION = "/ispyb/api/v1/legacy/em/proposal/{proposal_id}/movie/{movie_id}/thumbnail/motioncorrection"
    ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_THUMBNAIL_CTF = "/ispyb/api/v1/legacy/em/proposal/{proposal_id}/movie/{movie_id}/thumbnail/ctf"
    ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_MOVIE_MOVIE_ID_PLOT_MOTIONCORRECTIONDRIFT = "/ispyb/api/v1/legacy/em/proposal/{proposal_id}/movie/{movie_id}/plot/motioncorrectiondrift"
    ISPYB_API_V1_LEGACY_EM_SESSION_SESSION_ID_STATS = "/ispyb/api/v1/legacy/em/session/{session_id}/stats"
    ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_DATA_COLLECTIONS_IDS_STATS = "/ispyb/api/v1/legacy/em/proposal/{proposal_id}/data_collections/{data_collections_ids}/stats"
    ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_GROUP_DATA_COLLECTIONS_GROUP_ID_STATS = "/ispyb/api/v1/legacy/em/proposal/{proposal_id}/data_collections_group/{data_collections_group_id}/stats"
    ISPYB_API_V1_LEGACY_EM_PROPOSAL_PROPOSAL_ID_SESSION_SESSION_ID_DATA_COLLECTIONS_GROUPS = "/ispyb/api/v1/legacy/em/proposal/{proposal_id}/session/{session_id}/data_collections/groups"
    ISPYB_API_V1_LEGACY_EM_SESSION_SESSION_ID_CLASSIFICATION = "/ispyb/api/v1/legacy/em/session/{session_id}/classification"
    ISPYB_API_V1_LEGACY_TOKEN_SESSION_LIST = "/ispyb/api/v1/legacy/{token}/session/list"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_SESSION_DATE_START_DATE_END_DATE_LIST = "/ispyb/api/v1/legacy/{token}/proposal/session/date/{start_date}/{end_date}/list"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_SESSION_LIST = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/session/list"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_ALL = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/em/datacollection/{datacollection_id}/movie/all"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_THUMBNAIL = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/em/datacollection/{datacollection_id}/movie/{movie_id}/thumbnail"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_MOTIONCORRECTION_THUMBNAIL = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/em/datacollection/{datacollection_id}/movie/{movie_id}/motioncorrection/thumbnail"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_CTF_THUMBNAIL = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/em/datacollection/{datacollection_id}/movie/{movie_id}/ctf/thumbnail"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_DATACOLLECTION_ID_MOVIE_MOVIE_ID_MOTIONCORRECTION_DRIFT = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/em/datacollection/{datacollection_id}/movie/{movie_id}/motioncorrection/drift"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_EM_SESSION_SESSION_ID_STATS = "/ispyb/api/v1/legacy/{token}/proposal/{proposal}/em/session/{session_id}/stats"
    ISPYB_API_V1_LEGACY_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_DATA_COLLECTIONS_IDS_STATS = "/ispyb/api/v1/legacy/proposal/{proposal_id}/data_collections/{data_collections_ids}/stats"
    ISPYB_API_V1_LEGACY_PROPOSAL_PROPOSAL_ID_DATA_COLLECTIONS_GROUP_DATA_COLLECTIONS_GROUP_ID_STATS = "/ispyb/api/v1/legacy/proposal/{proposal_id}/data_collections_group/{data_collections_group_id}/stats"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_DATACOLLECTION_SESSION_SESSION_ID_LIST = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/em/datacollection/session/{session_id}/list"
    ISPYB_API_V1_LEGACY_TOKEN_PROPOSAL_PROPOSAL_ID_EM_SESSION_SESSION_ID_CLASSIFICATION = "/ispyb/api/v1/legacy/{token}/proposal/{proposal_id}/em/session/{session_id}/classification"
    ISPYB_API_V1_ADMIN_ACTIVITY = "/ispyb/api/v1/admin/activity"
    ISPYB_API_V1_WEBSERVICES_USERPORTALSYNC_SYNC_PROPOSAL = "/ispyb/api/v1/webservices/userportalsync/sync_proposal"
    ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTION = "/ispyb/api/v1/webservices/ssx/datacollection"
    ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTIONGROUP = "/ispyb/api/v1/webservices/ssx/datacollectiongroup"
    ISPYB_API_V1_WEBSERVICES_SSX_DATACOLLECTION_DATA_COLLECTION_ID_PROCESSING = "/ispyb/api/v1/webservices/ssx/datacollection/{dataCollectionId}/processing"
